# POST /pipelines/:pipeline_id/stages/reorder

**Resource:** [Pipelines](./pipelines.md)  
**MCP tool:** `reorder_pipeline_stages`  
**Scopes:** `pipelines:write`  
**Write operation:** yes

Reorder the stages of a pipeline. Pass an array of stage UUIDs in the desired new order — position numbers are reassigned in array order.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `pipeline_id` | path | string | yes | UUID of the pipeline |
| `stage_ids` | body | array | yes | Stage UUIDs in their new display order |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/pipelines/:pipeline_id/stages/reorder"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"stage_ids":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`